from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, String, Boolean

Cgwdump_V0_1_0 = CommandToolBuilder(tool="cgwDump", base_command=["cgwDump"], inputs=[ToolInput(tag="in_mandatory_path_gkpstore", input_type=File(optional=True), prefix="-g", doc=InputDocumentation(doc="mandatory path to the gkpStore")), ToolInput(tag="in_version_mandatory_path_tigstore_version", input_type=File(optional=True), prefix="-t", doc=InputDocumentation(doc="version     mandatory path to the tigStore and version")), ToolInput(tag="in_version_mandatory_path_checkpoint_version", input_type=File(optional=True), prefix="-c", doc=InputDocumentation(doc="version   mandatory path to a checkpoint and version")), ToolInput(tag="in_output_written_prefixposmapfrgscf", input_type=String(optional=True), prefix="-o", doc=InputDocumentation(doc="output is written to files starting with 'prefix'\n(e.g., prefix.ctg.fasta)\n(e.g., prefix.posmap.frgscf)")), ToolInput(tag="in_all", input_type=Boolean(optional=True), prefix="-all", doc=InputDocumentation(doc="dump all data for all object types")), ToolInput(tag="in_reads", input_type=Boolean(optional=True), prefix="-reads", doc=InputDocumentation(doc="dumps reads")), ToolInput(tag="in_unit_igs", input_type=Boolean(optional=True), prefix="-unitigs", doc=InputDocumentation(doc="dumps unitigs")), ToolInput(tag="in_contigs", input_type=Boolean(optional=True), prefix="-contigs", doc=InputDocumentation(doc="dumps contigs")), ToolInput(tag="in_scaffolds", input_type=Boolean(optional=True), prefix="-scaffolds", doc=InputDocumentation(doc="dumps scaffolds")), ToolInput(tag="in_dumps_objects_endiid", input_type=String(optional=True), prefix="-b", doc=InputDocumentation(doc="dumps objects bgnIID <= IID <= endIID")), ToolInput(tag="in_dumps_specific_multiple", input_type=String(optional=True), prefix="-e", doc=InputDocumentation(doc="dumps a specific object (multiple -i allowed)")), ToolInput(tag="in_consensus", input_type=Boolean(optional=True), prefix="-consensus", doc=InputDocumentation(doc="dumps consensus sequence")), ToolInput(tag="in_layout", input_type=Boolean(optional=True), prefix="-layout", doc=InputDocumentation(doc="dumps posmap layout of component objects")), ToolInput(tag="in_edges", input_type=Boolean(optional=True), prefix="-edges", doc=InputDocumentation(doc="dumps unused mate edges involving selected objects")), ToolInput(tag="in_label_tig_s", input_type=Boolean(optional=True), prefix="-labeltigs", doc=InputDocumentation(doc="assign labels to unitigs/contigs")), ToolInput(tag="in_label_reads", input_type=Boolean(optional=True), prefix="-labelreads", doc=InputDocumentation(doc="assign labels to mate pairs")), ToolInput(tag="in_version", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_action", input_type=String(optional=True), position=2, doc=InputDocumentation(doc=""))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Cgwdump_V0_1_0().translate("wdl", allow_empty_container=True)

